## org.apache.poi.hssf.record
Class PasswordRev4Record

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.PasswordRev4Record

    public final class PasswordRev4Record

extends StandardRecord

Title: Protection Revision 4 password Record (0x01BC)

Description: Stores the (2 byte??!!) encrypted password for a shared workbook

REFERENCE: PG 374 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `sid`

Constructor Summary
`PasswordRev4Record(int pw)`
`PasswordRev4Record(RecordInputStream in)`

Method Summary
`protected int` `getDataSize()`
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setPassword(short pw)` set the password
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### PasswordRev4Record

    public PasswordRev4Record(int pw)

### PasswordRev4Record

    public PasswordRev4Record(RecordInputStream in)

Method Detail

### setPassword

    public void setPassword(short pw)

  set the password

  Parameters:
    `pw` - representing the password

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.